<?php
ViewResponse::getInstance()->setMethodAjax();
use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();
  
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }

$o_ObjectBean->setEstado('P');
$o_ObjectBean->setFlagReporte('2');

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
/*****************************************/



$pdf = new TCPDF('P', 'mm','A4', true); 

$pdf->setHeaderFont(array('times','',11));
$pdf->setFooterMargin('12');



$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          *Representante :'.ucwords($NombreRepresentante).'        Fecha:'.date('Y-m-d');


$pdf->setHeaderData('','','Cobranza Diaria',$str);

define("POS_IZQ", 1);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',14);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',11);
$pdf->SetXY(POS_IZQ,11);


foreach ($a_ObjectBean as $iKey => $o_objBean){
  $sumaTotalSaldo += $o_objBean->getSaldoPrestamo();
   if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	$sumaVencido += $o_objBean->getSaldoPrestamo();
  }
}


$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',10);

$pdf->SetX(POS_IZQ);
$pdf->Cell(25,3,"*N.P: ".(count($a_ObjectBean)),0,0,'L',1);
$pdf->Cell(25,3,"T.S: ".(number_format($sumaTotalSaldo,2)),0,0,'L',1);
$pdf->Cell(25,3,"T.V: ".(number_format($sumaVencido,2)),0,1,'L',1);
 
$pdf->SetX(POS_IZQ); 
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',10);
$pdf->Cell(10,4,'Nro.',1,0,'L',1);
$pdf->Cell(60,4,'Cliente',1,0,'L',1);
$pdf->Cell(18,4,'Celular',1,0,'L',1);
$pdf->Cell(17,4,'F.Inicio',1,0,'L',1);
$pdf->Cell(16,4,'Capital',1,0,'L',1);
$pdf->Cell(16,4,'Saldo',1,0,'L',1);
$pdf->Cell(12,4,'C.Pago',1,0,'L',1);
$pdf->Cell(8,4,'N.Pag',1,0,'L',1);
$pdf->Cell(17,4,'F.Vencim',1,0,'L',1);
$pdf->Cell(8,4,'D.Ven.',1,0,'L',1);
$pdf->Cell(4,4,'T',1,0,'L',1);

$pdf->Cell(10,4,'',1,0,'L',1);
$pdf->Cell(10,4,'',1,1,'L',1);
//$pdf->Cell(10,0,'',1,1,'L',1);

//$pdf->Cell(10,4,date('Y-m-d'),1,0,'L',1);
/*$pdf->Cell(10,4,date('Y-m-d',strtotime('+1 days')),1,0,'L',1);
$pdf->Cell(10,4,date('Y-m-d',strtotime('+2 days')),1,1,'L',1);*/

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/



$pos    = 55;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',10);

if(count($a_ObjectBean)>0){
//for($i=1;$i<50;$i++){	
  reset($a_ObjectBean);
 
  
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	  $pdf->SetFont('times','',10);
  	  $fechaven = "";	
  	  $vencido = "";	
  	  $pdf->SetTextColor(0,0,0);
  	  $diferencia_mora = "";
  	  if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	  	$vencido = "V";
  	  	$fechaven=  $o_objBean->getFechaVencimiento();
  	  	$diferencia_mora = round((((strtotime(date('Y-m-d'))) - strtotime($o_objBean->getFechaVencimiento()))/ 86400), 0 );
  	  }
  	 
  	  if($o_objBean->getOrigen() == 'R'){
  	  	$origen ='N';
  	  }elseif($o_objBean->getOrigen() == 'F'){
  	  	$origen ='R';
  	  }
  	  $amortizacion = $o_objBean->getMontoTotal() - $o_objBean->getSaldoPrestamo();
      $pdf->SetX(POS_IZQ);
      $IdCategoria = $o_objBean->getIdCategoria();
     $con = Conexion::getConexion();
	   
		$sql = "SELECT *
			 FROM cr_categoria_prestamo
			WHERE idcategoria = '".$IdCategoria."'";


		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		$num_rows = mysql_num_rows($result);

		$color = "#ffffff";
		$descripcion = "-";
		$codigo = "-";
		if($num_rows>0){
			 while ($o_valor = mysql_fetch_object($result)) {
				//print_r($o_valor);
				$color = $o_valor->color;
				$codigo = $o_valor->codigo;
			  }
		}
  	  
  	  $hex = $color;
	  list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
	  $pdf->SetFillColor($r,$g,$b);
	  
      $pdf->Cell(10,4,($o_objBean->getIdPrestamo()),1,0,'L',1);
	  $pdf->SetFillColor(254,254,254);
      $pdf->Cell(60,4,$o_objBean->getObjectCliente()->getNombreCompleto(),1,0,'L',1);
	  
	  $celular = '';
      if($o_objBean->getIdCliente()){
      	$o_ClienteBean = new ClienteBean();
      	$o_ClienteBean->setIdCliente($o_objBean->getIdCliente());
      	$o_ClienteDP = new ClienteDP($o_ClienteBean);
      	$a_o_ClienteDP = $o_ClienteDP->select();
      	foreach ($a_o_ClienteDP as $Key => $o_objCliente){
			$celular = trim($o_objCliente->getCelular());
      		if(!$celular) $celular = $o_objCliente->getTelefono();
      		
      	}
      }
	  $pdf->Cell(18,4,$celular,1,0,'C',1);
	  
      $pdf->Cell(17,4,$o_objBean->getFechaInicio(),1,0,'C',1);
      $pdf->SetFont('times','',10);
      $pdf->Cell(16,4,number_format($o_objBean->getMontoTotal(),2),1,0,'R',1);
      $pdf->Cell(16,4,number_format($o_objBean->getSaldoPrestamo(),2),1,0,'R',1);
      //$pdf->Cell(9,4,number_format($amortizacion,2),1,0,'R',1);
      $pdf->Cell(12,4,number_format($o_objBean->getCuotaPago(),2),1,0,'R',1);
      $pdf->Cell(8,4,$o_objBean->getNroPagos(),1,0,'C',1);
      
     
      //$pdf->Cell(5,4,$fechaven,1,0,'R',1);
      
      $pdf->Cell(17,4,$fechaven,1,0,'R',1);
      $pdf->SetTextColor(128,0,255);
      $pdf->SetFont('times','B',10);
      $pdf->Cell(8,4,$diferencia_mora,1,0,'C',1);
      $pdf->SetFont('times','',10);
      $pdf->SetTextColor(0,0,0);
      $pdf->Cell(4,4,$origen,1,0,'C',1);
      //$pdf->Cell(15,4,getEstadoCondicion($o_objBean->getCondicion()),1,0,'C',1);
      $pdf->Cell(10,4,'',1,0,'L',1);
      $pdf->Cell(10,4,'',1,1,'L',1);
      //$pdf->Cell(10,0,'',1,1,'L',1);
      
    }
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>